Commit 8a343bc3 authored by norvell's avatar norvell
Browse files

Merge with updates from main

parents 18b7df1a e3510c80
Loading
Loading
Loading
Loading
+20 −16
Original line number Diff line number Diff line
@@ -445,7 +445,7 @@ external-renderer-pytest-on-merge-request:

    # run test
    - exit_code=0
    - python3 -m pytest -q -n auto -rA --junit-xml=report-junit.xml tests/renderer/test_renderer_be_comparison.py || exit_code=$?
    - python3 -m pytest -q --log-level ERROR -n auto -rA --html=report.html --self-contained-html --junit-xml=report-junit.xml tests/renderer/test_renderer_be_comparison.py || exit_code=$?
    - zero_errors=$(cat report-junit.xml | grep -c 'errors="0"') || true

    - *merge-request-comparison-check
@@ -458,6 +458,7 @@ external-renderer-pytest-on-merge-request:
    when: always
    paths:
      - report-junit.xml
      - report.html
    expose_as: "pytest external renderer results"
    reports:
      junit:
@@ -494,7 +495,7 @@ ivas-pytest-on-merge-request:

    ### run pytest
    - exit_code=0
    - python3 -m pytest tests -v --junit-xml=report-junit.xml || exit_code=$?
    - python3 -m pytest tests -v --html=report.html --self-contained-html --junit-xml=report-junit.xml || exit_code=$?
    - zero_errors=$(cat report-junit.xml | grep -c 'errors="0"') || true

    - *merge-request-comparison-check
@@ -507,6 +508,7 @@ ivas-pytest-on-merge-request:
    when: always
    paths:
      - report-junit.xml
      - report.html
    expose_as: "pytest ivas results"
    reports:
      junit:
@@ -539,7 +541,7 @@ evs-pytest-on-merge-request:

    ### run pytest for EVS cases
    - exit_code=0
    - python3 -m pytest tests/test_param_file.py -v --param_file scripts/config/self_test_evs.prm --junit-xml=report-junit-evs.xml || exit_code=$?
    - python3 -m pytest tests/test_param_file.py -v --param_file scripts/config/self_test_evs.prm --html=report.html --self-contained-html --junit-xml=report-junit-evs.xml || exit_code=$?
    - zero_errors=$(cat report-junit-evs.xml | grep -c 'errors="0"') || true

    - *merge-request-comparison-check
@@ -552,6 +554,7 @@ evs-pytest-on-merge-request:
    when: always
    paths:
      - report-junit-evs.xml
      - report.html
    expose_as: "pytest evs results"
    reports:
      junit:
@@ -693,7 +696,7 @@ codec-comparison-on-main-push:

    ### run pytest
    - exit_code=0
    - python3 -m pytest tests -v --junit-xml=report-junit.xml || exit_code=$?
    - python3 -m pytest tests -v --html=report.html --self-contained-html --junit-xml=report-junit.xml || exit_code=$?
    - if [ $exit_code -eq 1 ] && [ $non_be_flag == 0 ]; then echo "pytest run had failures and non-BE flag not present"; exit $EXIT_CODE_FAIL; fi
    - zero_errors=$(cat report-junit.xml | grep -c 'errors="0"') || true
    - if [ $exit_code -eq 1 ] && [ $zero_errors == 1 ]; then echo "pytest run had failures, but no errors and non-BE flag present"; exit $EXIT_CODE_NON_BE; fi
@@ -706,6 +709,7 @@ codec-comparison-on-main-push:
    when: always
    paths:
      - report-junit.xml
      - report.html
    expose_as: "Results of comparison to previous merge commit"
    reports:
      junit: report-junit.xml
@@ -955,9 +959,6 @@ coverage-test-on-main-scheduled:
  - echo $log_files
  - ls wmops/logs
  - for f in $log_files; do [ -f wmops/logs/$f ] && mv wmops/logs/$f $public_dir/logs/$f; done
  - log_files_48=$(cat $public_dir/graphs_wmops_flc_48kHz.js | grep logFile | sed "s/.*\(wmops_newsletter_.*\.csv\).*/\1/g")
  - echo $log_files_48
  - for f in $log_files_48; do [ -f wmops/logs/$f ] && mv wmops/logs/$f $public_dir/logs/$f; done
  # copy index page blueprint
  - cp ci/complexity_measurements/index_complexity.html ${public_dir}/index.html
  # patch the format in the title
@@ -971,7 +972,7 @@ coverage-test-on-main-scheduled:
    - .test-job-linux-needs-testv-dir
  tags:
    - test-complexity-measurement
  timeout: 3 hours
  timeout: 3 hours 30 minutes
  stage: test
  artifacts:
    name: "$CI_JOB_NAME--$CI_COMMIT_REF_NAME--sha-$CI_COMMIT_SHA"
@@ -1014,7 +1015,7 @@ complexity-sba-hoa3-in-hoa3-out:
  rules:
    - if: $MEASURE_COMPLEXITY_LINUX
      when: delayed
      start_in: 3 hours
      start_in: 2 hours 30 minutes
  script:
    - *print-common-info
    - *update-ltv-repo
@@ -1030,7 +1031,7 @@ complexity-mc-in-7_1_4-out:
  rules:
    - if: $MEASURE_COMPLEXITY_LINUX
      when: delayed
      start_in: 6 hours
      start_in: 4 hours
  script:
    - *print-common-info
    - *update-ltv-repo
@@ -1046,7 +1047,7 @@ complexity-masa-in-7_1_4-out:
  rules:
    - if: $MEASURE_COMPLEXITY_LINUX
      when: delayed
      start_in: 9 hours
      start_in: 7 hours 30 minutes
  script:
    - *print-common-info
    - *update-ltv-repo
@@ -1062,7 +1063,7 @@ complexity-StereoDmxEVS-stereo-in-mono-out:
  rules:
    - if: $MEASURE_COMPLEXITY_LINUX
      when: delayed
      start_in: 10 hours
      start_in: 8 hours 30 minutes
  script:
    - *print-common-info
    - *update-ltv-repo
@@ -1076,13 +1077,15 @@ complexity-StereoDmxEVS-stereo-in-mono-out:
# Other jobs
# ---------------------------------------------------------------

# job that sets up gitlab pages website
# is run on a separate schedule and collects artifacts from other jobs (currently
# only the complexity measurements) multiple times a day
pages:
  stage: deploy
  tags:
    - test-complexity-measurement
    - ivas-linux
  rules:
    # only run for pipelines that affect the data for the page
    - if: $MEASURE_COMPLEXITY_LINUX
    - if: $UPDATE_PAGES
    # TODO: add coverage job
  script:

@@ -1090,7 +1093,8 @@ pages:
    - branch=$CI_COMMIT_REF_NAME

    - mkdir public
    # get artifacts for complexity jobs

    ### fetch artifacts from latest run of complexity jobs
    - job_id=$(python3 ci/get_id_of_last_job_occurence.py $branch complexity-stereo-in-stereo-out)
    - echo $job_id
    - echo "$API_URL_BASE/$job_id/artifacts"
+1 −1
Original line number Diff line number Diff line
@@ -314,10 +314,10 @@
    <ClCompile Include="..\lib_dec\ivas_stereo_mdct_stereo_dec.c" />
    <ClCompile Include="..\lib_dec\ivas_stereo_switching_dec.c" />
    <ClCompile Include="..\lib_dec\ivas_stereo_td_dec.c" />
    <ClCompile Include="..\lib_dec\ivas_stereo_td_low_rate_dec.c" />
    <ClCompile Include="..\lib_dec\ivas_svd_dec.c" />
    <ClCompile Include="..\lib_dec\ivas_tcx_core_dec.c" />
    <ClCompile Include="..\lib_dec\ivas_td_decorr.c" />
    <ClCompile Include="..\lib_dec\ivas_td_low_rate_dec.c" />
    <ClCompile Include="..\lib_dec\ivas_vbap.c" />
    <ClCompile Include="..\lib_dec\jbm_jb4sb.c" />
    <ClCompile Include="..\lib_dec\jbm_jb4_circularbuffer.c" />
+3 −9
Original line number Diff line number Diff line
@@ -466,9 +466,6 @@
    <ClCompile Include="..\lib_dec\ivas_stereo_td_dec.c">
      <Filter>dec_ivas_c</Filter>
    </ClCompile>
    <ClCompile Include="..\lib_dec\ivas_stereo_td_low_rate_dec.c">
      <Filter>dec_ivas_c</Filter>
    </ClCompile>
    <ClCompile Include="..\lib_dec\ivas_tcx_core_dec.c">
      <Filter>dec_ivas_c</Filter>
    </ClCompile>
@@ -476,15 +473,9 @@
    <ClCompile Include="..\lib_dec\ivas_agc_dec.c">
      <Filter>dec_ivas_c</Filter>
    </ClCompile>
    <ClCompile Include="..\lib_dec\ivas_spar_foa_md_dec.c">
      <Filter>dec_ivas_c</Filter>
    </ClCompile>
    <ClCompile Include="..\lib_dec\ivas_td_decorr.c">
      <Filter>dec_ivas_c</Filter>
    </ClCompile>
    <ClCompile Include="..\lib_dec\ivas_spar_foa_dec.c">
      <Filter>dec_ivas_c</Filter>
    </ClCompile>
    <ClCompile Include="..\lib_dec\ivas_pca_dec.c">
      <Filter>dec_ivas_c</Filter>
    </ClCompile>
@@ -506,6 +497,9 @@
    <ClCompile Include="..\lib_dec\ivas_corecoder_dec_reconfig.c">
      <Filter>dec_ivas_c</Filter>
    </ClCompile>
    <ClCompile Include="..\lib_dec\ivas_td_low_rate_dec.c">
      <Filter>dec_ivas_c</Filter>
    </ClCompile>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\lib_dec\jbm_jb4_inputbuffer.h">
+2 −2
Original line number Diff line number Diff line
@@ -330,8 +330,8 @@
    <ClCompile Include="..\lib_enc\ivas_stereo_switching_enc.c" />
    <ClCompile Include="..\lib_enc\ivas_stereo_td_analysis.c" />
    <ClCompile Include="..\lib_enc\ivas_stereo_td_enc.c" />
    <ClCompile Include="..\lib_enc\ivas_stereo_td_low_rate_enc.c" />
    <ClCompile Include="..\lib_enc\ivas_tcx_core_enc.c" />
    <ClCompile Include="..\lib_enc\ivas_td_low_rate_enc.c" />
    <ClCompile Include="..\lib_enc\lead_indexing.c" />
    <ClCompile Include="..\lib_enc\lib_enc.c" />
    <ClCompile Include="..\lib_enc\long_enr.c" />
+3 −3
Original line number Diff line number Diff line
@@ -550,9 +550,6 @@
    <ClCompile Include="..\lib_enc\ivas_stereo_td_enc.c">
      <Filter>enc_ivas_c</Filter>
    </ClCompile>
    <ClCompile Include="..\lib_enc\ivas_stereo_td_low_rate_enc.c">
      <Filter>enc_ivas_c</Filter>
    </ClCompile>
    <ClCompile Include="..\lib_enc\ivas_tcx_core_enc.c">
      <Filter>enc_ivas_c</Filter>
    </ClCompile>
@@ -584,6 +581,9 @@
    <ClCompile Include="..\lib_enc\ivas_corecoder_enc_reconfig.c">
      <Filter>enc_ivas_c</Filter>
    </ClCompile>
    <ClCompile Include="..\lib_enc\ivas_td_low_rate_enc.c">
      <Filter>enc_ivas_c</Filter>
    </ClCompile>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\lib_enc\ivas_stat_enc.h">
Loading